CVE-2017-12132

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The DNS stub resolver in the GNU C Library (aka glibc or libc6) before version 2.26, when EDNS support is enabled, will solicit large UDP responses from name servers, potentially simplifying off-path DNS spoofing attacks due to IP fragmentation.

References

http://www.securityfocus.com/bid/100598

https://access.redhat.com/errata/RHSA-2018:0805

https://arxiv.org/pdf/1205.4011.pdf

https://sourceware.org/bugzilla/show_bug.cgi?id=21361

Details

Source: MITRE

Published: 2017-08-01

Updated: 2019-10-03

Type: CWE-770

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 5.9

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N

Impact Score: 3.6

Exploitability Score: 2.2

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:gnu:glibc:*:*:*:*:*:*:*:* versions up to 2.25 (inclusive)

Tenable Plugins

View all (15 total)

IDNameProductFamilySeverity
129223EulerOS 2.0 SP3 : glibc (EulerOS-SA-2019-2030)NessusHuawei Local Security Checks
critical
128896EulerOS 2.0 SP2 : glibc (EulerOS-SA-2019-1844)NessusHuawei Local Security Checks
medium
127183NewStart CGSL CORE 5.04 / MAIN 5.04 : glibc Multiple Vulnerabilities (NS-SA-2019-0024)NessusNewStart CGSL Local Security Checks
critical
125004EulerOS Virtualization 3.0.1.0 : glibc (EulerOS-SA-2019-1551)NessusHuawei Local Security Checks
high
111547SUSE SLES12 Security Update : glibc (SUSE-SU-2018:2187-1)NessusSuSE Local Security Checks
critical
111546SUSE SLES12 Security Update : glibc (SUSE-SU-2018:2185-1)NessusSuSE Local Security Checks
critical
109699Amazon Linux AMI : glibc (ALAS-2018-1017)NessusAmazon Linux Local Security Checks
critical
109447Scientific Linux Security Update : glibc on SL7.x x86_64 (20180410)NessusScientific Linux Local Security Checks
critical
109371CentOS 7 : glibc (CESA-2018:0805)NessusCentOS Local Security Checks
critical
109105Oracle Linux 7 : glibc (ELSA-2018-0805)NessusOracle Linux Local Security Checks
critical
108985RHEL 7 : glibc (RHSA-2018:0805)NessusRed Hat Local Security Checks
critical
107086SUSE SLES11 Security Update : glibc (SUSE-SU-2018:0565-1)NessusSuSE Local Security Checks
critical
106916openSUSE Security Update : glibc (openSUSE-2018-184)NessusSuSE Local Security Checks
critical
106865SUSE SLED12 / SLES12 Security Update : glibc (SUSE-SU-2018:0451-1)NessusSuSE Local Security Checks
critical
102606Fedora 26 : glibc (2017-92f8958310)NessusFedora Local Security Checks
medium